summaryrefslogtreecommitdiffstats
path: root/academic/fann
diff options
context:
space:
mode:
author Andrew Conway <ajc@countingthoughts.com>2012-04-20 16:06:20 -0400
committer dsomero <xgizzmo@slackbuilds.org>2012-04-20 16:06:20 -0400
commitbc56f14c9f51a2f84edff6714ea61d483511abf4 (patch)
tree0df27afca9994da59266eb5a762ced2851ec51bb /academic/fann
parent45acc39720f12c92eb61e68199f748a40b1b6e18 (diff)
downloadslackbuilds-bc56f14c9f51a2f84edff6714ea61d483511abf4.tar.gz
slackbuilds-bc56f14c9f51a2f84edff6714ea61d483511abf4.tar.xz
academic/fann: Added (Fast Artificial Neural Networks)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'academic/fann')
-rw-r--r--academic/fann/README7
-rw-r--r--academic/fann/fann.SlackBuild82
-rw-r--r--academic/fann/fann.info10
-rw-r--r--academic/fann/slack-desc19
4 files changed, 118 insertions, 0 deletions
diff --git a/academic/fann/README b/academic/fann/README
new file mode 100644
index 0000000000..8fd6161fd4
--- /dev/null
+++ b/academic/fann/README
@@ -0,0 +1,7 @@
+Fast Artificial Neural Network Library is a free open source neural network
+library, which implements multilayer artificial neural networks in C with
+support for both fully connected and sparsely connected networks.
+Cross-platform execution in both fixed and floating point are supported. It
+includes a framework for easy handling of training data sets. It is easy to
+use, versatile, well documented, and fast. Bindings to more than 15 programming
+languages are available.
diff --git a/academic/fann/fann.SlackBuild b/academic/fann/fann.SlackBuild
new file mode 100644
index 0000000000..093fef5d26
--- /dev/null
+++ b/academic/fann/fann.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for fann
+
+# Written by Andrew Conway (ajc AT countingthoughts DOT com)
+
+PRGNAM=fann
+VERSION=${VERSION:-2.1.0beta}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SHORTVERSION=${SHORTVERSION:-2.1.0}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SHORTVERSION
+unzip $CWD/$PRGNAM-${VERSION}.zip
+cd $PRGNAM-$SHORTVERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING INSTALL README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/fann/fann.info b/academic/fann/fann.info
new file mode 100644
index 0000000000..9dc8a587c1
--- /dev/null
+++ b/academic/fann/fann.info
@@ -0,0 +1,10 @@
+PRGNAM="fann"
+VERSION="2.1.0beta"
+HOMEPAGE="http://leenissen.dk/fann/wp/"
+DOWNLOAD="http://prdownloads.sourceforge.net/fann/fann-2.1.0beta.zip"
+MD5SUM="9c53d96ce415c927cb97b8f9de2ea881"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Andrew Conway"
+EMAIL="ajc@countingthoughts.com"
+APPROVED="dsomero"
diff --git a/academic/fann/slack-desc b/academic/fann/slack-desc
new file mode 100644
index 0000000000..f464466034
--- /dev/null
+++ b/academic/fann/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+fann: FANN (Fast Artificial Neural Networks)
+fann:
+fann: Fast Artificial Neural Network Library is a free open source neural
+fann: network library, which implements multilayer artificial neural networks
+fann: in C with support for both fully connected and sparsely connected
+fann: networks. Cross-platform execution in both fixed and floating point are
+fann: supported. It includes a framework for easy handling of training data
+fann: sets. It is easy to use, versatile, well documented, and fast. Bindings
+fann: to more than 15 programming languages are available.
+fann:
+fann: Homepage: http://leenissen.dk/fann/wp/